Bug 9996 - Fix search for existing/upgraded Debian package instances
Summary: Fix search for existing/upgraded Debian package instances
Status: CLOSED INVALID
Alias: None
Product: Koha
Classification: Unclassified
Component: Packaging (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Bugs List
QA Contact:
URL:
Keywords:
Depends on: 3087 9256
Blocks:
  Show dependency treegraph
 
Reported: 2013-04-07 17:20 UTC by Magnus Enger
Modified: 2016-06-21 21:37 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Magnus Enger 2013-04-07 17:20:52 UTC
Bug 9256 fixed the fallout from bug Bug 3087 for *new* instances that are created with koha-create, but it did nothing for instances that are upgraded to 3.10.x. We probably need a koha-upgrade-to-3.10, similar til how it was done for 3.4? 

What I found I had to do to make my instances work after they were upgraded from 3.8.11 to 3.10.4 was:

1. Replace syntax="usmarc" with syntax="normarc|marc21" in koha-conf-xml (and by "normarc|marc21" I mean either normarc or marc21, depending on what the instance actually uses)

2. Change this:
<xi:include href="/etc/koha/zebradb/retrieval-info-auth-dom.xml"
to this:
<xi:include href="/etc/koha/zebradb/marc21-retrieval-info-auth-dom.xml"
or this:
<xi:include href="/etc/koha/zebradb/normarc-retrieval-info-auth-dom.xml"
again depending on what marcflavour the instance uses. 

3. Restart Zebra

So a koha-upgrade-to-3.10 script should probably do something similar. But I might be missing things!
Comment 1 Robin Sheat 2013-04-07 22:16:58 UTC
Having the script is fine, but it might be worth calling it something else. koha-upgrade-search-fix perhaps. Better name ideas welcome :) Most/many people (i.e. those on marc21) won't have to worry about it, so it might just be worth documenting/mentioning on lists, etc.
Comment 2 Magnus Enger 2013-04-08 06:39:57 UTC
(In reply to comment #1)
> Having the script is fine, but it might be worth calling it something else.
> koha-upgrade-search-fix perhaps. Better name ideas welcome :) Most/many
> people (i.e. those on marc21) won't have to worry about it, 

You have tested that, right? Bug 3087 did change syntax="usmarc" to syntax="marc21", so I'm not sure if we are better off updating for all marcflavours, to keep all config files in sync?
Comment 3 Robin Sheat 2013-04-08 22:41:06 UTC
(In reply to comment #2)
> You have tested that, right? Bug 3087 did change syntax="usmarc" to
> syntax="marc21", so I'm not sure if we are better off updating for all
> marcflavours, to keep all config files in sync?

I would have expected to hear screaming from people if it didn't work. We've also done some 3.10 deploys that could search.
Comment 4 Magnus Enger 2013-04-09 05:42:26 UTC
(In reply to comment #3)
> I would have expected to hear screaming from people if it didn't work. We've
> also done some 3.10 deploys that could search.

Good to hear. It's still a question of if we want to keep the different configs as much in sync as possible or not, though...
Comment 5 Katrin Fischer 2013-04-09 06:32:09 UTC
I think that is a real problem for some users, even if MARC21 users are the majority, so we should figure out a way to fix it in a way people don't miss. Doing it similar to 3.4 sounds logical to me.
Comment 6 Tomás Cohen Arazi 2014-01-22 14:45:24 UTC
I added a reference to bug 11596. Having the missing or wrongly configured entries reported will help debugging users' problems.

I'm not sure having a shell script modifying the users config files might be worth because of its possible consequences.

They are not mutually exclusive anyway. Just saying.
Comment 7 Jonathan Druart 2015-07-13 13:43:37 UTC
Is it fixed or still need to be fixed?
Comment 8 Robin Sheat 2015-07-13 22:53:00 UTC
(In reply to Jonathan Druart from comment #7)
> Is it fixed or still need to be fixed?

I haven't heard of it causing any problems lately.
Comment 9 Jonathan Druart 2015-07-14 08:02:05 UTC
Lowering the priority, this is not critical.
Comment 10 Magnus Enger 2015-07-14 08:04:30 UTC
(In reply to Jonathan Druart from comment #7)
> Is it fixed or still need to be fixed?

Since there isn't a lot of people complaining about issues related to this, I am tempted to say we close this bug.